# Scripting Editor

## Overview

The Script Editor is used to add and edit business logic in Servoy solutions that are defined by JavaScript functions and variables. The Script Editor features several useful code writing and navigation tools, with support for JSDoc and refactoring.

Here are the Scripting Editor features covered in this section:

* [Getting Started-Overview of Script Editor](/reference/servoy-developer/object-editors/scripting-editor/getting-started.md#overview)
* [Code Writing Features](/reference/servoy-developer/object-editors/scripting-editor/code-writing.md#overview)
* [Code Navigation](/reference/servoy-developer/object-editors/scripting-editor/code-navigation.md#overview)
* [Code Rewriting Tools](/reference/servoy-developer/object-editors/scripting-editor/code-rewriting.md#overview)
* [Refactoring](/reference/servoy-developer/object-editors/scripting-editor/refactoring.md#overview)
* [Code Formatting](/reference/servoy-developer/object-editors/scripting-editor/code-formatting.md#overview)
* [Script Editor Tips and Shortcuts](/reference/servoy-developer/object-editors/scripting-editor/tips-and-shortcuts.md#overview)
* [Unit Tests](/reference/servoy-developer/object-editors/scripting-editor/unit-tests.md#unit-testing)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/object-editors/scripting-editor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
